Tools
=====

When developing applications and system components for GNOME, you'll likely need
to rely on various tools outside of your editor.

* :doc:`GTK Inspector <tools/inspector>`: inspect GTK applications
* :doc:`Valgrind <tools/valgrind>`: a tool that allows to track memory related
  errors in C and C++ programs
* :doc:`Massif <tools/massif>`: a heap profiler, part of the Valgrind suite
* :doc:`Sysprof <tools/sysprof>`: a system-wide sampling profiler that uses the
  perf Linux kernel module

.. toctree::
   :maxdepth: 1
   :hidden:

   tools/inspector
   tools/valgrind
   tools/massif
   tools/sysprof
